# Generated from softwear-2.0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name softwear

Name: rubygem-%{gem_name}
Version: 2.0.7
Release: 1%{?dist}
Summary: Common gems and logic for all softwear apps
License: MIT
URL: http://annarbortees.com/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(rspec) >= 3.2.0
# BuildRequires: rubygem(rspec) < 3.3
BuildArch: noarch

%description
Re-worked from softwear-lib gem. Error reporting and common gems/logic for all
softwear apps.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/rails
%{_bindir}/softwear
%{_bindir}/softwear-deploy
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile

%changelog
* Wed Sep 15 2021 mockbuilder - 2.0.7-1
- Initial package
